Package twisted :: Package scripts :: Module tap2deb :: Class MyOptions

[show private | hide private]
[frames | no frames]

## Class MyOptions

    UserDict --+
               |
         Options --+
                   |
                  MyOptions

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__contains__(self, key)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `iteritems(self)` (inherited from `UserDict`)
| `iterkeys(self)` (inherited from `UserDict`)
| `itervalues(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed. (inherited from `Options`)
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['unsigned', 'u']]

### optParameters

  Type:
    `list`
  Value:

        [['tapfile', 't', 'twistd.tap'],
         ['maintainer', 'm', ''],
         ['protocol', 'p', ''],
         ['description', 'e', ''],
         ['long_description', 'l', ''],
         ['set-version', 'V', '1.0'],
         ['debfile', 'd', None],
         ['type',
        ...

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net